header {
	margin: 0;
	padding: 0;
	background-color: #232429;
	display: inline-flex;
	position: fixed;
	flex-direction: row;
	justify-content: space-between;
	width: 100%;
	height: 50px;
}
body {
	margin: 0;
	padding: 0;
	height: 100vmax;
	overflow: hidden;
}
p {
	user-select: none;
}
img {
	user-select: none;
}
button {
	width: 100%;
	padding: 10px;
	margin-top: 5px;
	margin-right: 5px;
	border-radius: 100px;
	border: none;
	font-size: 15px;
	user-select: none;
	color: #0b0800;
	background-color: #f9fdb3;
}
@font-face {
	font-family: face2;
	src: url(assets/fonticons.ttf);
}
@font-face {
	font-family: face1;
	src: url(assets/material-ui.ttf);
}
#title {
	display: flex;
	color: white;
	font-family: consolas;
	font-size: 20px;
	margin: 0;
	padding: 0;
	display: inline-flex;
	align-self: center;
}
.icon {
	display: block;
	margin: 0;
	padding: 0;
	font-family: face2;
	font-size: 45px;		
	color: white;
	cursor: pointer;
}

.icon_sm:hover {
	background-color: #f2ffc4;
}
.icon_sm {
	display: block;
	margin: 0;
	padding: 0;
	font-family: face2;
	font-size: 35px;		
	color: #797a7c;
	cursor: pointer;
}

#canvas {
	max-height: calc(100% - 20px);
	margin: 10px;
	background:#ffffff;
	border: 2px solid lightgrey;
	resize: both;
	overflow: auto;
}

.section {
	color: grey;
	border: 0px; 
	border-bottom: 1px; 
	border-style: solid; 
	border-color: lightgrey;
	margin: 0; 
	padding-left: 10px; 
	padding-right: 10px;
}
.section:hover {
	background-color: #232429;
	color: black;
}
.setting {
	margin-top: 10px;
	margin-bottom: 0px;
	margin-left: 20px;
	margin-right: 20px;
	padding: 0px;
}
.setting-li input[type=text], input[type=number], select {
	width: 100px;
	display: inline-block;
	border: 1px solid #ccc;
	border-radius: 4px;
	box-sizing: border-box;
}
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}